// vim: ts=4 sw=4 sts=4 fenc=utf-8 :

module sal.io.format.fmt;

/**
 * フォーマットエラー.
 */
class FormatException : Exception
{
	/**
	 * 指定されたメッセージ, 原因を持つ
	 * プロパティファイルエラーを構築します.
	 * Params:
	 *  msg  = メッセージ.
	 *  next = 原因
	 */
	this(string msg, Throwable next = null)
	{
		super(msg, next);
	}


	/**
	 * 指定されたメッセージ, ファイル名, 行番号, 原因を持つ
	 * プロパティファイルエラーを構築します.
	 * Params:
	 *  msg  = メッセージ.
	 *  file = ファイル
	 *  line = 行番号
	 *  next = 原因
	 */
	this(string msg, string file, size_t line, Throwable next = null)
	{
		super(msg, file, line, next);
	}
}

